package com.cab.dao;

import java.util.List;

import com.cab.model.ContentFollow;

public interface ContentFollowMapper {
    int insertSelective(ContentFollow record);
    
    List<String> selectIdListByCommentIdList(List<Long> commentList);

    List<ContentFollow> selectList(List<Long> followIdList);

    List<ContentFollow> selectByCommentId(long commentId);
    
    long selectByCommentIdCount(long commentId);

	Long getFollowCountByCommentId(long commentId);
}